uuid: 490c2886-7c58-475f-b5ed-0efc9160647a
langcode: en
status: true
dependencies: {  }
id: upgrade_d7_taxonomy_term_categories
class: Drupal\migrate\Plugin\Migration
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Content
migration_group: migrate_drupal_7
label: 'Taxonomy terms (Categories_DELETE)'
source:
  plugin: d7_taxonomy_term
  bundle: categories
process:
  tid:
    -
      plugin: get
      source: tid
  vid:
    -
      plugin: migration_lookup
      migration: upgrade_d7_taxonomy_vocabulary
      source: vid
  name:
    -
      plugin: get
      source: name
  description/value:
    -
      plugin: get
      source: description
  description/format:
    -
      plugin: get
      source: format
  weight:
    -
      plugin: get
      source: weight
  parent_id:
    -
      plugin: skip_on_empty
      method: process
      source: parent
    -
      plugin: migration_lookup
      migration:
        - upgrade_d7_taxonomy_term_partner_categories
        - upgrade_d7_taxonomy_term_note_from_the_expert_description_languages
        - upgrade_d7_taxonomy_term_proceedings_topic
        - upgrade_d7_taxonomy_term_forums
        - upgrade_d7_taxonomy_term_events_type
        - upgrade_d7_taxonomy_term_posts_organization_type
        - upgrade_d7_taxonomy_term_blog_type
        - upgrade_d7_taxonomy_term_organization_type
        - upgrade_d7_taxonomy_term_team_role
        - upgrade_d7_taxonomy_term_newsletter
        - upgrade_d7_taxonomy_term_type
        - upgrade_d7_taxonomy_term_topics
        - upgrade_d7_taxonomy_term_regions
        - upgrade_d7_taxonomy_term_categories
        - upgrade_d7_taxonomy_term_tags
  parent:
    -
      plugin: default_value
      default_value: 0
      source: '@parent_id'
  forum_container:
    -
      plugin: get
      source: is_container
  changed:
    -
      plugin: get
      source: timestamp
  langcode:
    -
      plugin: get
      source: language
destination:
  plugin: 'entity:taxonomy_term'
  default_bundle: categories
migration_dependencies:
  required:
    - upgrade_d7_taxonomy_vocabulary
  optional:
    - upgrade_d7_field_instance
    - upgrade_d7_taxonomy_vocabulary
    - upgrade_d7_taxonomy_term_tags
    - upgrade_d7_taxonomy_term_categories
    - upgrade_d7_taxonomy_term_regions
    - upgrade_d7_taxonomy_term_topics
    - upgrade_d7_taxonomy_term_type
    - upgrade_d7_taxonomy_term_newsletter
    - upgrade_d7_taxonomy_term_team_role
    - upgrade_d7_taxonomy_term_organization_type
    - upgrade_d7_taxonomy_term_blog_type
    - upgrade_d7_taxonomy_term_posts_organization_type
    - upgrade_d7_taxonomy_term_events_type
    - upgrade_d7_taxonomy_term_forums
    - upgrade_d7_taxonomy_term_proceedings_topic
    - upgrade_d7_taxonomy_term_note_from_the_expert_description_languages
    - upgrade_d7_taxonomy_term_partner_categories
    - upgrade_d7_taxonomy_term_partner_categories
    - upgrade_d7_taxonomy_term_note_from_the_expert_description_languages
    - upgrade_d7_taxonomy_term_proceedings_topic
    - upgrade_d7_taxonomy_term_forums
    - upgrade_d7_taxonomy_term_events_type
    - upgrade_d7_taxonomy_term_posts_organization_type
    - upgrade_d7_taxonomy_term_blog_type
    - upgrade_d7_taxonomy_term_organization_type
    - upgrade_d7_taxonomy_term_team_role
    - upgrade_d7_taxonomy_term_newsletter
    - upgrade_d7_taxonomy_term_type
    - upgrade_d7_taxonomy_term_topics
    - upgrade_d7_taxonomy_term_regions
    - upgrade_d7_taxonomy_term_categories
    - upgrade_d7_taxonomy_term_tags
